Index: apps/app_fax.c
===================================================================
--- apps/app_fax.c	(revision 584)
+++ apps/app_fax.c	(working copy)
@@ -114,12 +114,13 @@
 
 static void span_message(int level, const char *msg)
 {
-	if (level == SPAN_LOG_ERROR)
-		ast_log(LOG_ERROR, msg);
-	else if (level == SPAN_LOG_WARNING)
-		ast_log(LOG_WARNING, msg);
-	else
-		ast_log(LOG_DEBUG, msg);
+	if (level == SPAN_LOG_ERROR){
+		ast_log(LOG_ERROR, "%s", msg);
+	} else if (level == SPAN_LOG_WARNING) {
+		ast_log(LOG_WARNING, "%s", msg);
+	} else {
+		ast_log(LOG_DEBUG, "%s", msg);
+	}
 }
 
 static int t38_tx_packet_handler(t38_core_state_t *s, void *user_data, const uint8_t *buf, int len, int count)
@@ -302,16 +303,11 @@
 	int res = -1;
 	int original_read_fmt = AST_FORMAT_SLINEAR;
 	int original_write_fmt = AST_FORMAT_SLINEAR;
-	int len;
-	int samples;
 	fax_state_t fax;
 	struct ast_dsp *dsp = NULL;
 	int detect_tone = 0;
 	struct ast_frame *inf = NULL;
-	struct ast_frame outf;
 	struct ast_frame *fr;
-	uint8_t buffer[AST_FRIENDLY_OFFSET + MAX_SAMPLES * sizeof(uint16_t)];
-	int16_t *buf = (int16_t *) (buffer + AST_FRIENDLY_OFFSET);
 	int last_state = 0;
 	struct timeval now, start, state_change;
 	enum ast_control_t38 t38control;
@@ -475,8 +471,6 @@
 static int transmit_t38(fax_session *s)
 {
 	int res = 0;
-	int len;
-	int samples;
 	t38_terminal_state_t t38;
 	struct ast_frame *inf = NULL;
 	int last_state = 0;
Index: Makefile
===================================================================
--- Makefile	(revision 584)
+++ Makefile	(working copy)
@@ -28,10 +28,6 @@
 # Overwite config files on "make samples"
 OVERWRITE:=y
 
-ifeq ($(AST_DEVMODE),yes)
-  ASTCFLAGS+=-Werror -Wunused -Wundef $(AST_DECLARATION_AFTER_STATEMENT) -Wmissing-format-attribute -Wformat-security -Wformat=2
-endif
-
 # If the file .asteriskaddons.makeopts is present in your home directory, you can
 # include all of your favorite menuselect options so that every time you download
 # a new version of Asterisk-addons, you don't have to run menuselect to set them.
@@ -55,6 +51,10 @@
   include makeopts
 endif
 
+ifeq ($(AST_DEVMODE),yes)
+  ASTCFLAGS+=-Werror -Wunused -Wundef $(AST_DECLARATION_AFTER_STATEMENT) -Wmissing-format-attribute -Wformat-security -Wformat=2
+endif
+
 ifeq ($(OSARCH),SunOS)
   ASTETCDIR=/var/etc/asterisk
   ASTLIBDIR=/opt/asterisk/lib
